%global _hardened_build 1

Name:           timedatex
Version:        0.6
Release:        3
Summary:        D-Bus service for system clock and RTC settings
License:        GPLv2+
URL:            https://github.com/mlichvar/timedatex
Source0:        https://github.com/mlichvar/timedatex/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  glib2-devel libselinux-devel gcc systemd
Requires:       polkit systemd util-linux

%description
timedatex is a D-Bus service that implements the org.freedesktop.timedate1
interface. It can be used to read and set the system clock, the real-time clock
(RTC), the system timezone, get a list of valid timezones, and enable or
disable an NTP client installed on the system. It is a replacement for the
systemd-timedated service.

%package help
Summary: help document for timedatex
BuildArch: noarch

%description help
help document for timedatex.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%make_build  CFLAGS="$RPM_OPT_FLAGS" EXTRA_LDFLAGS="%{__global_ldflags}"

%install
%makeinstall unitdir=$RPM_BUILD_ROOT%{_unitdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/systemd/system
ln -s /dev/null $RPM_BUILD_ROOT%{_sysconfdir}/systemd/system/timedatex.service

%check
make test

%pre

%preun
%systemd_preun %{name}.service

%post
%systemd_post %{name}.service

%postun

%files
%defattr(-,root,root)
%doc COPYING NEWS README
%{_sysconfdir}/systemd/system/timedatex.service
%{_sbindir}/%{name}
%{_unitdir}/%{name}.service

%files help
%defattr(-,root,root)
%{_mandir}/man8/%{name}.8*

%changelog
* Tue Oct 25 2022 yanglongkang<yanglongkang@h-partners.com> - 0.6-3
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: rebuild for next release

* Fri May 28 2021 yangzhuangzhuang <yangzhuangzhuang1@huawei.com>- 0.6-2
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:The "cc:No such file or directroy" error message is displayed during compilation.Therefore,add buildrequires gcc.
       The macro unitdir is used.Therefore,add buildrequires systemd

* Fri Jul 24 2020 Hugel <gengqihu1@huawei.com> - 0.6.1
- Type: enhancement
- ID: NA
- SUG: NA
- DESC: update to 0.6

* Mon Mar 16 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.5.10
- Type: enhancement
- ID: NA
- SUG: NA
- DESC:delete %postun systemd-timedated.service operation

* Wed Mar 11 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.5.9
- Type: enhancement
- ID: NA
- SUG: NA
- DESC:Solve the problem of service cannot restart when upgrading

* Wed Jan 22 2020 openEuler Buildteam <buildteam@openeuler.org> - 0.5.8
- Type: enhancement
- ID: NA
- SUG: NA
- DESC:revise self-build problem

* Mon Sep 29 2019  Xiuning Fang<fangxiuning@huawei.com> - 0.5.7
- delete mask systemd-timedated.service, mask timedatex.service

* Wed Aug 28 2019 Huiming Xie<xiehuiming@huawei.com> - 0.5.6
- Package init
